<?php


namespace App\Modules\OrangeSite\Services\CheckReport;


use App\Modules\OrangeSite\Services\OrangeSiteRechargeReportCheckContext;
use App\Modules\OrangeSite\Services\OrangeSiteReportSettingService;
use Closure;
use Log;

class EnableReportCheck
{
    /**
     * @param $context OrangeSiteRechargeReportCheckContext
     * @param Closure $next
     * @return mixed
     */
    public function handle($context, Closure $next)
    {
        if (OrangeSiteReportSettingService::isEnableReport($context->user->distribution_channel_id)) {
            return $next($context);
        } else {
            Log::debug('[orangeSiteRechargeReport]站点没有开启回传', ['traceInfo' => $context->traceContext->getTraceInfo()]);
            $context->result = [
                'result' => false,
                'type' => '',
                'needRecord' => false,
                'firstReason' => 'EnableReportCheck',
                'content' => '没有开启回传'
            ];
            return $context;
        }

    }
}