<?php

namespace App\Service\User;

use Illuminate\Support\Facades\DB;

class UserRanseService
{
    public static function getRanseInfo($uid) {
        $uidLog = DB::table('uid_logs')->where(['id' => $uid])->first();
        if(!$uidLog) {
            return null;
        }
        $table = self::getMiniProgramUserTableName($uidLog->use_for);
        $user = DB::table($table)->where('id', $uid)->first();
        if(!$user) {
            return null;
        }

        return [
            'ranse_start_at' => $user->ranse_start_at,
            'ranse_end_at' => $user->ranse_end_at,
            'ranse_id' => $user->ranse_id,
        ];
    }

    public static function getMiniProgramUserTableName($useFor) {
        return sprintf('%s_users', [
            '1' => 'wechat_miniprogram',
            '2' => 'douyin_miniprogram'
        ][$useFor]);
    }
}
